Package org.opensaml.messaging.pipeline.servlet

# Interface HttpServletMessagePipelineFactory

public interface HttpServletMessagePipelineFactory
Factory for instances of `HttpServletMessagePipeline`.

## Method Summary

Modifier and Type
Method
Description
`HttpServletMessagePipeline`
`newInstance()`
Return a new instance of `HttpServletMessagePipelineFactory`.
`HttpServletMessagePipeline`
`newInstance(String pipelineName)`
Return a new instance of `HttpServletMessagePipelineFactory`.

## Method Details

### newInstance

@Nonnull HttpServletMessagePipeline newInstance()
Return a new instance of `HttpServletMessagePipelineFactory`.

Returns:
  a new pipeline instance

### newInstance

@Nonnull HttpServletMessagePipeline newInstance(@Nullable String pipelineName)
Return a new instance of `HttpServletMessagePipelineFactory`.

Parameters:
  `pipelineName` - the name of the pipeline to return
Returns:
  a new pipeline instance